import { VariantProps } from 'class-variance-authority';
import { ComponentPropsWithoutRef, ElementType, FC } from 'react';
import { ButtonProps } from '../../../molecules/Button';
import cardWrapper from './defaultCard.styles';
import { ImageProps } from 'types';
export declare type CardType = 'standard' | 'gradient' | 'image' | 'cta' | 'blog';
export declare type GradientType = 'none' | 'pink' | 'purple' | 'blue' | 'green';
export declare type FeatureVariants = 'imageFeatured' | 'imageStandard';
export interface DefaultCard {
    type?: CardType;
    eyebrow?: string;
    publishedDate?: string;
    heading?: string;
    headingAs?: ElementType;
    body?: string;
    callToAction?: ButtonProps;
    backgroundGradient?: GradientType;
    backgroundImage?: ImageProps;
    mobileBackgroundImage?: ImageProps;
    isFeatured?: boolean;
    hiddenOnDesktop?: boolean;
}
export declare const DefaultCard: FC<DefaultCard & VariantProps<typeof cardWrapper> & ComponentPropsWithoutRef<'div'>>;
