import React, { ChangeEvent, ComponentPropsWithoutRef, FormEvent } from 'react';
export declare const Form: ({ children, target, method, ...props }: ComponentPropsWithoutRef<'form'>) => React.JSX.Element;
export declare const useIterableSignUp: ({ formId, initialValues, }: {
    formId?: string | undefined;
    initialValues?: Record<string, string> | undefined;
}) => {
    actionUrl: string;
    values: Record<string, string>;
    onValueChange: (event: ChangeEvent<HTMLInputElement>) => void;
    onSubmit: (e: FormEvent<HTMLFormElement>, { submitError }?: {
        submitError?: string | undefined;
    }) => Promise<void>;
    setError: React.Dispatch<React.SetStateAction<Record<string, string>>>;
    error: Record<string, string>;
    isSuccess: boolean;
    isLoading: boolean;
    isSubmitting: boolean;
};
