/// <reference types="react" />
/**
 * A custom hook that manages the open state of an HTML element (including click away and scroll freeze).
 * @template T - The type of the HTML element.
 * @param {boolean} [defaultState=false] - The default state of the element.
 * @returns {{ ref: React.MutableRefObject<T | null>, open: boolean, setOpen: React.Dispatch<React.SetStateAction<boolean>> }} - An object containing the ref to the HTML element, the open state, and a function to set the open state.
 */
declare const useOpenState: <T extends HTMLElement>(ref?: import("react").RefObject<T> | undefined, defaultState?: boolean) => readonly [boolean, import("react").Dispatch<import("react").SetStateAction<boolean>>];
export default useOpenState;
