import { Meta, StoryObj } from '@storybook/react';

import {Footer} from '.';

const meta: Meta<typeof Footer> = {
  title: 'Components/Footer',
  component: Footer,
};

export default meta;
type Story = StoryObj<typeof Footer>;

export const footer: Story = {
  args: {
    solanaLogo: '/images/logos/solana-logomark.png',
    heading: 'Managed by Solana Foundation',
    socials: [
      { icon: 'youtube', url: 'https://www.youtube.com/@SolanaFndn' },
      { icon: 'twitter', url: 'https://twitter.com/solana' },
      { icon: 'discord', url: 'https://discord.com/invite/kBbATFA7PW' },
      { icon: 'reddit', url: 'https://old.reddit.com/r/solana/' },
      { icon: 'github', url: 'https://github.com/solana-labs' },
      { icon: 'telegram', url: 'https://t.me/solana' },
    ],
    menus: [
      {
        menuItemHeading: 'Solana',
        menuItems: [
          { label: 'Grants', url: '/' },
          { label: 'Break Solana', url: '/' },
          { label: 'Media Kit', url: '/' },
          { label: 'Careers', url: '/' },
          { label: 'Disclaimer', url: '/' },
        ],
      },
      {
        menuItemHeading: 'Get Connected',
        menuItems: [
          { label: 'Blog', url: '/' },
          { label: 'News', url: '/' },
          { label: 'Newsletter', url: '/' },
        ],
      },
    ],
  },
};
