import { Dispatch, SetStateAction } from 'react';
import type { IconIds } from '../../molecules/Icon/iconIds'

export interface Submenu {
  title?: string;
  description?: string;
  url?: string;
  imageSource?: string;
  secondDescription?: string;
  subMenuType?: 'copyOnly' | 'image';
}

export interface MenuItem {
  heading?: string;
  menuItemType?: 'copyOnly' | 'image';
  icon?: IconIds;
  iconColor?: 'green' | 'yellow' | 'purple' | 'pink'
  subMenus?: Submenu[]
  isLast?: boolean;
  isSibling?: boolean;
}

export interface Menu {
heading?: string;
colorScheme?: 'green' | 'yellow' | 'purple' | 'pink';
  menuItems?: MenuItem[];
}

export interface HamburgerMenuProps {
  isMobileNavOpen: boolean;
  setIsMobileNavOpen: Dispatch<SetStateAction<boolean>>;
}

export interface NavProps {
  menus: Menu[];
  openMenu?: number | null;
  setOpenMenu: (activeMenu: number | null) => void;
}
export interface MobileNavProps {
  menus: Menu[];
  isMobileNavOpen: boolean;
}

export interface HeaderProps{
  solanaLogo?: string;
  menus?: Menu[]
}
